## GstVideoColorPrimariesInfo

Structure describing the chromaticity coordinates of an RGB system. These values can be used to construct a matrix to transform RGB to and from the XYZ colorspace.

### Members

`primaries` (GstVideoColorPrimaries) –

a GstVideoColorPrimaries

`Wx` (gdouble) –

reference white x coordinate

`Wy` (gdouble) –

reference white y coordinate

`Rx` (gdouble) –

red x coordinate

`Ry` (gdouble) –

red y coordinate

`Gx` (gdouble) –

green x coordinate

`Gy` (gdouble) –

green y coordinate

`Bx` (gdouble) –

blue x coordinate

`By` (gdouble) –

blue y coordinate

Since : 1.6

## GstVideo.VideoColorPrimariesInfo

Structure describing the chromaticity coordinates of an RGB system. These values can be used to construct a matrix to transform RGB to and from the XYZ colorspace.

### Members

`primaries` (GstVideo.VideoColorPrimaries) –

a GstVideo.VideoColorPrimaries

`Wx` (Number) –

reference white x coordinate

`Wy` (Number) –

reference white y coordinate

`Rx` (Number) –

red x coordinate

`Ry` (Number) –

red y coordinate

`Gx` (Number) –

green x coordinate

`Gy` (Number) –

green y coordinate

`Bx` (Number) –

blue x coordinate

`By` (Number) –

blue y coordinate

Since : 1.6

## GstVideo.VideoColorPrimariesInfo

Structure describing the chromaticity coordinates of an RGB system. These values can be used to construct a matrix to transform RGB to and from the XYZ colorspace.

### Members

`primaries` (GstVideo.VideoColorPrimaries) –

a GstVideo.VideoColorPrimaries

`Wx` (float) –

reference white x coordinate

`Wy` (float) –

reference white y coordinate

`Rx` (float) –

red x coordinate

`Ry` (float) –

red y coordinate

`Gx` (float) –

green x coordinate

`Gy` (float) –

green y coordinate

`Bx` (float) –

blue x coordinate

`By` (float) –

blue y coordinate

Since : 1.6

## GstVideoColorimetry

Structure describing the color info.

### Members

`range` (GstVideoColorRange) –

the color range. This is the valid range for the samples. It is used to convert the samples to Y'PbPr values.

`matrix` (GstVideoColorMatrix) –

the color matrix. Used to convert between Y'PbPr and non-linear RGB (R'G'B')

`transfer` (GstVideoTransferFunction) –

the transfer function. used to convert between R'G'B' and RGB

`primaries` (GstVideoColorPrimaries) –

color primaries. used to convert between R'G'B' and CIE XYZ

## GstVideo.VideoColorimetry

Structure describing the color info.

### Members

`range` (GstVideo.VideoColorRange) –

the color range. This is the valid range for the samples. It is used to convert the samples to Y'PbPr values.

`matrix` (GstVideo.VideoColorMatrix) –

the color matrix. Used to convert between Y'PbPr and non-linear RGB (R'G'B')

`transfer` (GstVideo.VideoTransferFunction) –

the transfer function. used to convert between R'G'B' and RGB

`primaries` (GstVideo.VideoColorPrimaries) –

color primaries. used to convert between R'G'B' and CIE XYZ

## GstVideo.VideoColorimetry

Structure describing the color info.

### Members

`range` (GstVideo.VideoColorRange) –

the color range. This is the valid range for the samples. It is used to convert the samples to Y'PbPr values.

`matrix` (GstVideo.VideoColorMatrix) –

the color matrix. Used to convert between Y'PbPr and non-linear RGB (R'G'B')

`transfer` (GstVideo.VideoTransferFunction) –

the transfer function. used to convert between R'G'B' and RGB

`primaries` (GstVideo.VideoColorPrimaries) –

color primaries. used to convert between R'G'B' and CIE XYZ

### Methods

#### gst_video_colorimetry_from_string

    gboolean
    gst_video_colorimetry_from_string (GstVideoColorimetry * cinfo,
                                       const gchar* color)

Parse the colorimetry string and update cinfo with the parsed values.

Parameters:

`cinfo` –

a GstVideoColorimetry

`color` –

a colorimetry string

Returns –

TRUE if color points to valid colorimetry info.

#### GstVideo.VideoColorimetry.prototype.from_string

    function GstVideo.VideoColorimetry.prototype.from_string(color: String): {
        // javascript wrapper for 'gst_video_colorimetry_from_string'
    }

Parse the colorimetry string and update cinfo with the parsed values.

Parameters:

`cinfo` (GstVideo.VideoColorimetry) –

a GstVideo.VideoColorimetry

`color` (String) –

a colorimetry string

Returns (Number) –

TRUE if color points to valid colorimetry info.

#### GstVideo.VideoColorimetry.from_string

    def GstVideo.VideoColorimetry.from_string (self, color):
        #python wrapper for 'gst_video_colorimetry_from_string'

Parse the colorimetry string and update cinfo with the parsed values.

Parameters:

`cinfo` (GstVideo.VideoColorimetry) –

a GstVideo.VideoColorimetry

`color` (str) –

a colorimetry string

Returns (bool) –

TRUE if color points to valid colorimetry info.

#### gst_video_colorimetry_is_equal

    gboolean
    gst_video_colorimetry_is_equal (const GstVideoColorimetry * cinfo,
                                    const GstVideoColorimetry * other)

Compare the 2 colorimetry sets for equality

Parameters:

`cinfo` –

a GstVideoColorimetry

`other` –

another GstVideoColorimetry

Returns –

TRUE if cinfo and other are equal.

Since : 1.6

#### GstVideo.VideoColorimetry.prototype.is_equal

    function GstVideo.VideoColorimetry.prototype.is_equal(other: GstVideo.VideoColorimetry): {
        // javascript wrapper for 'gst_video_colorimetry_is_equal'
    }

Compare the 2 colorimetry sets for equality

Parameters:

`cinfo` (GstVideo.VideoColorimetry) –

a GstVideo.VideoColorimetry

`other` (GstVideo.VideoColorimetry) –

another GstVideo.VideoColorimetry

Returns (Number) –

TRUE if cinfo and other are equal.

Since : 1.6

#### GstVideo.VideoColorimetry.is_equal

    def GstVideo.VideoColorimetry.is_equal (self, other):
        #python wrapper for 'gst_video_colorimetry_is_equal'

Compare the 2 colorimetry sets for equality

Parameters:

`cinfo` (GstVideo.VideoColorimetry) –

a GstVideo.VideoColorimetry

`other` (GstVideo.VideoColorimetry) –

another GstVideo.VideoColorimetry

Returns (bool) –

TRUE if cinfo and other are equal.

Since : 1.6

#### gst_video_colorimetry_is_equivalent

    gboolean
    gst_video_colorimetry_is_equivalent (const GstVideoColorimetry * cinfo,
                                         guint bitdepth,
                                         const GstVideoColorimetry * other,
                                         guint other_bitdepth)

Compare the 2 colorimetry sets for functionally equality

Parameters:

`cinfo` –

a GstVideoColorimetry

`bitdepth` –

bitdepth of a format associated with cinfo

`other` –

another GstVideoColorimetry

`other_bitdepth` –

bitdepth of a format associated with other

Returns –

TRUE if cinfo and other are equivalent.

Since : 1.22

#### GstVideo.VideoColorimetry.prototype.is_equivalent

    function GstVideo.VideoColorimetry.prototype.is_equivalent(bitdepth: Number, other: GstVideo.VideoColorimetry, other_bitdepth: Number): {
        // javascript wrapper for 'gst_video_colorimetry_is_equivalent'
    }

Compare the 2 colorimetry sets for functionally equality

Parameters:

`cinfo` (GstVideo.VideoColorimetry) –

a GstVideo.VideoColorimetry

`bitdepth` (Number) –

bitdepth of a format associated with cinfo

`other` (GstVideo.VideoColorimetry) –

another GstVideo.VideoColorimetry

`other_bitdepth` (Number) –

bitdepth of a format associated with other

Returns (Number) –

TRUE if cinfo and other are equivalent.

Since : 1.22

#### GstVideo.VideoColorimetry.is_equivalent

    def GstVideo.VideoColorimetry.is_equivalent (self, bitdepth, other, other_bitdepth):
        #python wrapper for 'gst_video_colorimetry_is_equivalent'

Compare the 2 colorimetry sets for functionally equality

Parameters:

`cinfo` (GstVideo.VideoColorimetry) –

a GstVideo.VideoColorimetry

`bitdepth` (int) –

bitdepth of a format associated with cinfo

`other` (GstVideo.VideoColorimetry) –

another GstVideo.VideoColorimetry

`other_bitdepth` (int) –

bitdepth of a format associated with other

Returns (bool) –

TRUE if cinfo and other are equivalent.

Since : 1.22

#### gst_video_colorimetry_matches

    gboolean
    gst_video_colorimetry_matches (const GstVideoColorimetry * cinfo,
                                   const gchar* color)

Check if the colorimetry information in info matches that of the string color.

Parameters:

`cinfo` –

a GstVideoInfo

`color` –

a colorimetry string

Returns –

TRUE if color conveys the same colorimetry info as the color information in info.

#### GstVideo.VideoColorimetry.prototype.matches

    function GstVideo.VideoColorimetry.prototype.matches(color: String): {
        // javascript wrapper for 'gst_video_colorimetry_matches'
    }

Check if the colorimetry information in info matches that of the string color.

Parameters:

`cinfo` (GstVideo.VideoColorimetry) –

a GstVideo.VideoInfo

`color` (String) –

a colorimetry string

Returns (Number) –

TRUE if color conveys the same colorimetry info as the color information in info.

#### GstVideo.VideoColorimetry.matches

    def GstVideo.VideoColorimetry.matches (self, color):
        #python wrapper for 'gst_video_colorimetry_matches'

Check if the colorimetry information in info matches that of the string color.

Parameters:

`cinfo` (GstVideo.VideoColorimetry) –

a GstVideo.VideoInfo

`color` (str) –

a colorimetry string

Returns (bool) –

TRUE if color conveys the same colorimetry info as the color information in info.

#### gst_video_colorimetry_to_string

    gchar*
    gst_video_colorimetry_to_string (const GstVideoColorimetry * cinfo)

Make a string representation of cinfo.

Parameters:

`cinfo` –

a GstVideoColorimetry

Returns ( [transfer: full][nullable]) –

a string representation of cinfo or NULL if all the entries of cinfo are unknown values.

#### GstVideo.VideoColorimetry.prototype.to_string

    function GstVideo.VideoColorimetry.prototype.to_string(): {
        // javascript wrapper for 'gst_video_colorimetry_to_string'
    }

Make a string representation of cinfo.

Parameters:

`cinfo` (GstVideo.VideoColorimetry) –

a GstVideo.VideoColorimetry

Returns (String) –

a string representation of cinfo or NULL if all the entries of cinfo are unknown values.

#### GstVideo.VideoColorimetry.to_string

    def GstVideo.VideoColorimetry.to_string (self):
        #python wrapper for 'gst_video_colorimetry_to_string'

Make a string representation of cinfo.

Parameters:

`cinfo` (GstVideo.VideoColorimetry) –

a GstVideo.VideoColorimetry

Returns (str) –

a string representation of cinfo or NULL if all the entries of cinfo are unknown values.

## Functions

### gst_video_color_matrix_from_iso

    GstVideoColorMatrix
    gst_video_color_matrix_from_iso (guint value)

Converts the value to the GstVideoColorMatrix The matrix coefficients (MatrixCoefficients) value is defined by "ISO/IEC 23001-8 Section 7.3 Table 4" and "ITU-T H.273 Table 4". "H.264 Table E-5" and "H.265 Table E.5" share the identical values.

Parameters:

`value` –

a ITU-T H.273 matrix coefficients value

Returns –

the matched GstVideoColorMatrix

Since : 1.18

### GstVideo.prototype.video_color_matrix_from_iso

    function GstVideo.prototype.video_color_matrix_from_iso(value: Number): {
        // javascript wrapper for 'gst_video_color_matrix_from_iso'
    }

Converts the value to the GstVideo.VideoColorMatrix The matrix coefficients (MatrixCoefficients) value is defined by "ISO/IEC 23001-8 Section 7.3 Table 4" and "ITU-T H.273 Table 4". "H.264 Table E-5" and "H.265 Table E.5" share the identical values.

Parameters:

`value` (Number) –

a ITU-T H.273 matrix coefficients value

Returns (GstVideo.VideoColorMatrix) –

the matched GstVideo.VideoColorMatrix

Since : 1.18

### GstVideo.video_color_matrix_from_iso

    def GstVideo.video_color_matrix_from_iso (value):
        #python wrapper for 'gst_video_color_matrix_from_iso'

Converts the value to the GstVideo.VideoColorMatrix The matrix coefficients (MatrixCoefficients) value is defined by "ISO/IEC 23001-8 Section 7.3 Table 4" and "ITU-T H.273 Table 4". "H.264 Table E-5" and "H.265 Table E.5" share the identical values.

Parameters:

`value` (int) –

a ITU-T H.273 matrix coefficients value

Returns (GstVideo.VideoColorMatrix) –

the matched GstVideo.VideoColorMatrix

Since : 1.18

### gst_video_color_matrix_get_Kr_Kb

    gboolean
    gst_video_color_matrix_get_Kr_Kb (GstVideoColorMatrix matrix,
                                      gdouble* Kr,
                                      gdouble* Kb)

Get the coefficients used to convert between Y'PbPr and R'G'B' using matrix.

When:

       0.0 <= [Y',R',G',B'] <= 1.0)
       (-0.5 <= [Pb,Pr] <= 0.5)

the general conversion is given by:

       Y' = Kr*R' + (1-Kr-Kb)*G' + Kb*B'
       Pb = (B'-Y')/(2*(1-Kb))
       Pr = (R'-Y')/(2*(1-Kr))

and the other way around:

       R' = Y' + Cr*2*(1-Kr)
       G' = Y' - Cb*2*(1-Kb)*Kb/(1-Kr-Kb) - Cr*2*(1-Kr)*Kr/(1-Kr-Kb)
       B' = Y' + Cb*2*(1-Kb)

Parameters:

`matrix` –

a GstVideoColorMatrix

`Kr` ( [out]) –

result red channel coefficient

`Kb` ( [out]) –

result blue channel coefficient

Returns –

TRUE if matrix was a YUV color format and Kr and Kb contain valid values.

Since : 1.6

### GstVideo.prototype.video_color_matrix_get_Kr_Kb

    function GstVideo.prototype.video_color_matrix_get_Kr_Kb(matrix: GstVideo.VideoColorMatrix): {
        // javascript wrapper for 'gst_video_color_matrix_get_Kr_Kb'
    }

Get the coefficients used to convert between Y'PbPr and R'G'B' using matrix.

When:

       0.0 <= [Y',R',G',B'] <= 1.0)
       (-0.5 <= [Pb,Pr] <= 0.5)

the general conversion is given by:

       Y' = Kr*R' + (1-Kr-Kb)*G' + Kb*B'
       Pb = (B'-Y')/(2*(1-Kb))
       Pr = (R'-Y')/(2*(1-Kr))

and the other way around:

       R' = Y' + Cr*2*(1-Kr)
       G' = Y' - Cb*2*(1-Kb)*Kb/(1-Kr-Kb) - Cr*2*(1-Kr)*Kr/(1-Kr-Kb)
       B' = Y' + Cb*2*(1-Kb)

Parameters:

`matrix` (GstVideo.VideoColorMatrix) –

a GstVideo.VideoColorMatrix

Returns a tuple made of:

(Number ) –

TRUE if matrix was a YUV color format and Kr and Kb contain valid values.

`Kr` (Number ) –

TRUE if matrix was a YUV color format and Kr and Kb contain valid values.

`Kb` (Number ) –

TRUE if matrix was a YUV color format and Kr and Kb contain valid values.

Since : 1.6

### GstVideo.video_color_matrix_get_Kr_Kb

    def GstVideo.video_color_matrix_get_Kr_Kb (matrix):
        #python wrapper for 'gst_video_color_matrix_get_Kr_Kb'

Get the coefficients used to convert between Y'PbPr and R'G'B' using matrix.

When:

       0.0 <= [Y',R',G',B'] <= 1.0)
       (-0.5 <= [Pb,Pr] <= 0.5)

the general conversion is given by:

       Y' = Kr*R' + (1-Kr-Kb)*G' + Kb*B'
       Pb = (B'-Y')/(2*(1-Kb))
       Pr = (R'-Y')/(2*(1-Kr))

and the other way around:

       R' = Y' + Cr*2*(1-Kr)
       G' = Y' - Cb*2*(1-Kb)*Kb/(1-Kr-Kb) - Cr*2*(1-Kr)*Kr/(1-Kr-Kb)
       B' = Y' + Cb*2*(1-Kb)

Parameters:

`matrix` (GstVideo.VideoColorMatrix) –

a GstVideo.VideoColorMatrix

Returns a tuple made of:

(bool ) –

TRUE if matrix was a YUV color format and Kr and Kb contain valid values.

`Kr` (float ) –

TRUE if matrix was a YUV color format and Kr and Kb contain valid values.

`Kb` (float ) –

TRUE if matrix was a YUV color format and Kr and Kb contain valid values.

Since : 1.6

### gst_video_color_matrix_to_iso

    guint
    gst_video_color_matrix_to_iso (GstVideoColorMatrix matrix)

Converts GstVideoColorMatrix to the "matrix coefficients" (MatrixCoefficients) value defined by "ISO/IEC 23001-8 Section 7.3 Table 4" and "ITU-T H.273 Table 4". "H.264 Table E-5" and "H.265 Table E.5" share the identical values.

Parameters:

`matrix` –

a GstVideoColorMatrix

Returns –

The value of ISO/IEC 23001-8 matrix coefficients.

Since : 1.18

### GstVideo.prototype.video_color_matrix_to_iso

    function GstVideo.prototype.video_color_matrix_to_iso(matrix: GstVideo.VideoColorMatrix): {
        // javascript wrapper for 'gst_video_color_matrix_to_iso'
    }

Converts GstVideo.VideoColorMatrix to the "matrix coefficients" (MatrixCoefficients) value defined by "ISO/IEC 23001-8 Section 7.3 Table 4" and "ITU-T H.273 Table 4". "H.264 Table E-5" and "H.265 Table E.5" share the identical values.

Parameters:

`matrix` (GstVideo.VideoColorMatrix) –

a GstVideo.VideoColorMatrix

Returns (Number) –

The value of ISO/IEC 23001-8 matrix coefficients.

Since : 1.18

### GstVideo.video_color_matrix_to_iso

    def GstVideo.video_color_matrix_to_iso (matrix):
        #python wrapper for 'gst_video_color_matrix_to_iso'

Converts GstVideo.VideoColorMatrix to the "matrix coefficients" (MatrixCoefficients) value defined by "ISO/IEC 23001-8 Section 7.3 Table 4" and "ITU-T H.273 Table 4". "H.264 Table E-5" and "H.265 Table E.5" share the identical values.

Parameters:

`matrix` (GstVideo.VideoColorMatrix) –

a GstVideo.VideoColorMatrix

Returns (int) –

The value of ISO/IEC 23001-8 matrix coefficients.

Since : 1.18

### gst_video_color_primaries_from_iso

    GstVideoColorPrimaries
    gst_video_color_primaries_from_iso (guint value)

Converts the value to the GstVideoColorPrimaries The colour primaries (ColourPrimaries) value is defined by "ISO/IEC 23001-8 Section 7.1 Table 2" and "ITU-T H.273 Table 2". "H.264 Table E-3" and "H.265 Table E.3" share the identical values.

Parameters:

`value` –

a ITU-T H.273 colour primaries value

Returns –

the matched GstVideoColorPrimaries

Since : 1.18

### GstVideo.prototype.video_color_primaries_from_iso

    function GstVideo.prototype.video_color_primaries_from_iso(value: Number): {
        // javascript wrapper for 'gst_video_color_primaries_from_iso'
    }

Converts the value to the GstVideo.VideoColorPrimaries The colour primaries (ColourPrimaries) value is defined by "ISO/IEC 23001-8 Section 7.1 Table 2" and "ITU-T H.273 Table 2". "H.264 Table E-3" and "H.265 Table E.3" share the identical values.

Parameters:

`value` (Number) –

a ITU-T H.273 colour primaries value

Returns (GstVideo.VideoColorPrimaries) –

the matched GstVideo.VideoColorPrimaries

Since : 1.18

### GstVideo.video_color_primaries_from_iso

    def GstVideo.video_color_primaries_from_iso (value):
        #python wrapper for 'gst_video_color_primaries_from_iso'

Converts the value to the GstVideo.VideoColorPrimaries The colour primaries (ColourPrimaries) value is defined by "ISO/IEC 23001-8 Section 7.1 Table 2" and "ITU-T H.273 Table 2". "H.264 Table E-3" and "H.265 Table E.3" share the identical values.

Parameters:

`value` (int) –

a ITU-T H.273 colour primaries value

Returns (GstVideo.VideoColorPrimaries) –

the matched GstVideo.VideoColorPrimaries

Since : 1.18

### gst_video_color_primaries_get_info

    const GstVideoColorPrimariesInfo *
    gst_video_color_primaries_get_info (GstVideoColorPrimaries primaries)

Get information about the chromaticity coordinates of primaries.

Parameters:

`primaries` –

a GstVideoColorPrimaries

Returns –

a GstVideoColorPrimariesInfo for primaries.

Since : 1.6

### GstVideo.prototype.video_color_primaries_get_info

    function GstVideo.prototype.video_color_primaries_get_info(primaries: GstVideo.VideoColorPrimaries): {
        // javascript wrapper for 'gst_video_color_primaries_get_info'
    }

Get information about the chromaticity coordinates of primaries.

Parameters:

`primaries` (GstVideo.VideoColorPrimaries) –

a GstVideo.VideoColorPrimaries

Returns (GstVideo.VideoColorPrimariesInfo) –

a GstVideo.VideoColorPrimariesInfo for primaries.

Since : 1.6

### GstVideo.video_color_primaries_get_info

    def GstVideo.video_color_primaries_get_info (primaries):
        #python wrapper for 'gst_video_color_primaries_get_info'

Get information about the chromaticity coordinates of primaries.

Parameters:

`primaries` (GstVideo.VideoColorPrimaries) –

a GstVideo.VideoColorPrimaries

Returns (GstVideo.VideoColorPrimariesInfo) –

a GstVideo.VideoColorPrimariesInfo for primaries.

Since : 1.6

### gst_video_color_primaries_is_equivalent

    gboolean
    gst_video_color_primaries_is_equivalent (GstVideoColorPrimaries primaries,
                                             GstVideoColorPrimaries other)

Checks whether primaries and other are functionally equivalent

Parameters:

`primaries` –

a GstVideoColorPrimaries

`other` –

another GstVideoColorPrimaries

Returns –

TRUE if primaries and other can be considered equivalent.

Since : 1.22

### GstVideo.prototype.video_color_primaries_is_equivalent

    function GstVideo.prototype.video_color_primaries_is_equivalent(primaries: GstVideo.VideoColorPrimaries, other: GstVideo.VideoColorPrimaries): {
        // javascript wrapper for 'gst_video_color_primaries_is_equivalent'
    }

Checks whether primaries and other are functionally equivalent

Parameters:

`primaries` (GstVideo.VideoColorPrimaries) –

a GstVideo.VideoColorPrimaries

`other` (GstVideo.VideoColorPrimaries) –

another GstVideo.VideoColorPrimaries

Returns (Number) –

TRUE if primaries and other can be considered equivalent.

Since : 1.22

### GstVideo.video_color_primaries_is_equivalent

    def GstVideo.video_color_primaries_is_equivalent (primaries, other):
        #python wrapper for 'gst_video_color_primaries_is_equivalent'

Checks whether primaries and other are functionally equivalent

Parameters:

`primaries` (GstVideo.VideoColorPrimaries) –

a GstVideo.VideoColorPrimaries

`other` (GstVideo.VideoColorPrimaries) –

another GstVideo.VideoColorPrimaries

Returns (bool) –

TRUE if primaries and other can be considered equivalent.

Since : 1.22

### gst_video_color_primaries_to_iso

    guint
    gst_video_color_primaries_to_iso (GstVideoColorPrimaries primaries)

Converts GstVideoColorPrimaries to the "colour primaries" (ColourPrimaries) value defined by "ISO/IEC 23001-8 Section 7.1 Table 2" and "ITU-T H.273 Table 2". "H.264 Table E-3" and "H.265 Table E.3" share the identical values.

Parameters:

`primaries` –

a GstVideoColorPrimaries

Returns –

The value of ISO/IEC 23001-8 colour primaries.

Since : 1.18

### GstVideo.prototype.video_color_primaries_to_iso

    function GstVideo.prototype.video_color_primaries_to_iso(primaries: GstVideo.VideoColorPrimaries): {
        // javascript wrapper for 'gst_video_color_primaries_to_iso'
    }

Converts GstVideo.VideoColorPrimaries to the "colour primaries" (ColourPrimaries) value defined by "ISO/IEC 23001-8 Section 7.1 Table 2" and "ITU-T H.273 Table 2". "H.264 Table E-3" and "H.265 Table E.3" share the identical values.

Parameters:

`primaries` (GstVideo.VideoColorPrimaries) –

a GstVideo.VideoColorPrimaries

Returns (Number) –

The value of ISO/IEC 23001-8 colour primaries.

Since : 1.18

### GstVideo.video_color_primaries_to_iso

    def GstVideo.video_color_primaries_to_iso (primaries):
        #python wrapper for 'gst_video_color_primaries_to_iso'

Converts GstVideo.VideoColorPrimaries to the "colour primaries" (ColourPrimaries) value defined by "ISO/IEC 23001-8 Section 7.1 Table 2" and "ITU-T H.273 Table 2". "H.264 Table E-3" and "H.265 Table E.3" share the identical values.

Parameters:

`primaries` (GstVideo.VideoColorPrimaries) –

a GstVideo.VideoColorPrimaries

Returns (int) –

The value of ISO/IEC 23001-8 colour primaries.

Since : 1.18

### gst_video_color_range_offsets

    gst_video_color_range_offsets (GstVideoColorRange range,
                                   const GstVideoFormatInfo * info,
                                   gint* offset,
                                   gint* scale)

Compute the offset and scale values for each component of info. For each component, (c[i] - offset[i]) / scale[i] will scale the component c[i] to the range [0.0 .. 1.0].

The reverse operation (c[i] * scale[i]) + offset[i] can be used to convert the component values in range [0.0 .. 1.0] back to their representation in info and range.

Parameters:

`range` –

a GstVideoColorRange

`info` –

a GstVideoFormatInfo

`offset` ( [out][arrayfixed-size=4]) –

output offsets

`scale` ( [out][arrayfixed-size=4]) –

output scale

### GstVideo.prototype.video_color_range_offsets

    function GstVideo.prototype.video_color_range_offsets(range: GstVideo.VideoColorRange, info: GstVideo.VideoFormatInfo): {
        // javascript wrapper for 'gst_video_color_range_offsets'
    }

Compute the offset and scale values for each component of info. For each component, (c[i] - offset[i]) / scale[i] will scale the component c[i] to the range [0.0 .. 1.0].

The reverse operation (c[i] * scale[i]) + offset[i] can be used to convert the component values in range [0.0 .. 1.0] back to their representation in info and range.

Parameters:

`range` (GstVideo.VideoColorRange) –

a GstVideo.VideoColorRange

`info` (GstVideo.VideoFormatInfo) –

a GstVideo.VideoFormatInfo

### GstVideo.video_color_range_offsets

    def GstVideo.video_color_range_offsets (range, info):
        #python wrapper for 'gst_video_color_range_offsets'

Compute the offset and scale values for each component of info. For each component, (c[i] - offset[i]) / scale[i] will scale the component c[i] to the range [0.0 .. 1.0].

The reverse operation (c[i] * scale[i]) + offset[i] can be used to convert the component values in range [0.0 .. 1.0] back to their representation in info and range.

Parameters:

`range` (GstVideo.VideoColorRange) –

a GstVideo.VideoColorRange

`info` (GstVideo.VideoFormatInfo) –

a GstVideo.VideoFormatInfo

### gst_video_color_transfer_decode

    gdouble
    gst_video_color_transfer_decode (GstVideoTransferFunction func,
                                     gdouble val)

Parameters:

`func` –

a GstVideoTransferFunction

`val` –

a value

Returns –
No description available

deprecated : 1.20: Use gst_video_transfer_function_decode() instead.

Since : 1.6

### GstVideo.prototype.video_color_transfer_decode

    function GstVideo.prototype.video_color_transfer_decode(func: GstVideo.VideoTransferFunction, val: Number): {
        // javascript wrapper for 'gst_video_color_transfer_decode'
    }

Parameters:

`func` (GstVideo.VideoTransferFunction) –

a GstVideo.VideoTransferFunction

`val` (Number) –

a value

Returns (Number) –
No description available

deprecated : 1.20: Use gst_video_transfer_function_decode() instead.

Since : 1.6

### GstVideo.video_color_transfer_decode

    def GstVideo.video_color_transfer_decode (func, val):
        #python wrapper for 'gst_video_color_transfer_decode'

Parameters:

`func` (GstVideo.VideoTransferFunction) –

a GstVideo.VideoTransferFunction

`val` (float) –

a value

Returns (float) –
No description available

deprecated : 1.20: Use gst_video_transfer_function_decode() instead.

Since : 1.6

### gst_video_color_transfer_encode

    gdouble
    gst_video_color_transfer_encode (GstVideoTransferFunction func,
                                     gdouble val)

Parameters:

`func` –

a GstVideoTransferFunction

`val` –

a value

Returns –
No description available

deprecated : 1.20: Use gst_video_transfer_function_encode() instead.

Since : 1.6

### GstVideo.prototype.video_color_transfer_encode

    function GstVideo.prototype.video_color_transfer_encode(func: GstVideo.VideoTransferFunction, val: Number): {
        // javascript wrapper for 'gst_video_color_transfer_encode'
    }

Parameters:

`func` (GstVideo.VideoTransferFunction) –

a GstVideo.VideoTransferFunction

`val` (Number) –

a value

Returns (Number) –
No description available

deprecated : 1.20: Use gst_video_transfer_function_encode() instead.

Since : 1.6

### GstVideo.video_color_transfer_encode

    def GstVideo.video_color_transfer_encode (func, val):
        #python wrapper for 'gst_video_color_transfer_encode'

Parameters:

`func` (GstVideo.VideoTransferFunction) –

a GstVideo.VideoTransferFunction

`val` (float) –

a value

Returns (float) –
No description available

deprecated : 1.20: Use gst_video_transfer_function_encode() instead.

Since : 1.6

### gst_video_transfer_function_decode

    gdouble
    gst_video_transfer_function_decode (GstVideoTransferFunction func,
                                        gdouble val)

Convert val to its gamma decoded value. This is the inverse operation of gst_video_color_transfer_encode.

For a non-linear value L' in the range [0..1], conversion to the linear L is in general performed with a power function like:

        L = L' ^ gamma

Depending on func, different formulas might be applied. Some formulas encode a linear segment in the lower range.

Parameters:

`func` –

a GstVideoTransferFunction

`val` –

a value

Returns –

the gamma decoded value of val

Since : 1.20

### GstVideo.prototype.video_transfer_function_decode

    function GstVideo.prototype.video_transfer_function_decode(func: GstVideo.VideoTransferFunction, val: Number): {
        // javascript wrapper for 'gst_video_transfer_function_decode'
    }

Convert val to its gamma decoded value. This is the inverse operation of GstVideo.prototype.video_color_transfer_encode.

For a non-linear value L' in the range [0..1], conversion to the linear L is in general performed with a power function like:

        L = L' ^ gamma

Depending on func, different formulas might be applied. Some formulas encode a linear segment in the lower range.

Parameters:

`func` (GstVideo.VideoTransferFunction) –

a GstVideo.VideoTransferFunction

`val` (Number) –

a value

Returns (Number) –

the gamma decoded value of val

Since : 1.20

### GstVideo.video_transfer_function_decode

    def GstVideo.video_transfer_function_decode (func, val):
        #python wrapper for 'gst_video_transfer_function_decode'

Convert val to its gamma decoded value. This is the inverse operation of GstVideo.video_color_transfer_encode.

For a non-linear value L' in the range [0..1], conversion to the linear L is in general performed with a power function like:

        L = L' ^ gamma

Depending on func, different formulas might be applied. Some formulas encode a linear segment in the lower range.

Parameters:

`func` (GstVideo.VideoTransferFunction) –

a GstVideo.VideoTransferFunction

`val` (float) –

a value

Returns (float) –

the gamma decoded value of val

Since : 1.20

### gst_video_transfer_function_encode

    gdouble
    gst_video_transfer_function_encode (GstVideoTransferFunction func,
                                        gdouble val)

Convert val to its gamma encoded value.

For a linear value L in the range [0..1], conversion to the non-linear (gamma encoded) L' is in general performed with a power function like:

        L' = L ^ (1 / gamma)

Depending on func, different formulas might be applied. Some formulas encode a linear segment in the lower range.

Parameters:

`func` –

a GstVideoTransferFunction

`val` –

a value

Returns –

the gamma encoded value of val

Since : 1.20

### GstVideo.prototype.video_transfer_function_encode

    function GstVideo.prototype.video_transfer_function_encode(func: GstVideo.VideoTransferFunction, val: Number): {
        // javascript wrapper for 'gst_video_transfer_function_encode'
    }

Convert val to its gamma encoded value.

For a linear value L in the range [0..1], conversion to the non-linear (gamma encoded) L' is in general performed with a power function like:

        L' = L ^ (1 / gamma)

Depending on func, different formulas might be applied. Some formulas encode a linear segment in the lower range.

Parameters:

`func` (GstVideo.VideoTransferFunction) –

a GstVideo.VideoTransferFunction

`val` (Number) –

a value

Returns (Number) –

the gamma encoded value of val

Since : 1.20

### GstVideo.video_transfer_function_encode

    def GstVideo.video_transfer_function_encode (func, val):
        #python wrapper for 'gst_video_transfer_function_encode'

Convert val to its gamma encoded value.

For a linear value L in the range [0..1], conversion to the non-linear (gamma encoded) L' is in general performed with a power function like:

        L' = L ^ (1 / gamma)

Depending on func, different formulas might be applied. Some formulas encode a linear segment in the lower range.

Parameters:

`func` (GstVideo.VideoTransferFunction) –

a GstVideo.VideoTransferFunction

`val` (float) –

a value

Returns (float) –

the gamma encoded value of val

Since : 1.20

### gst_video_transfer_function_from_iso

    GstVideoTransferFunction
    gst_video_transfer_function_from_iso (guint value)

Converts the value to the GstVideoTransferFunction The transfer characteristics (TransferCharacteristics) value is defined by "ISO/IEC 23001-8 Section 7.2 Table 3" and "ITU-T H.273 Table 3". "H.264 Table E-4" and "H.265 Table E.4" share the identical values.

Parameters:

`value` –

a ITU-T H.273 transfer characteristics value

Returns –

the matched GstVideoTransferFunction

Since : 1.18

### GstVideo.prototype.video_transfer_function_from_iso

    function GstVideo.prototype.video_transfer_function_from_iso(value: Number): {
        // javascript wrapper for 'gst_video_transfer_function_from_iso'
    }

Converts the value to the GstVideo.VideoTransferFunction The transfer characteristics (TransferCharacteristics) value is defined by "ISO/IEC 23001-8 Section 7.2 Table 3" and "ITU-T H.273 Table 3". "H.264 Table E-4" and "H.265 Table E.4" share the identical values.

Parameters:

`value` (Number) –

a ITU-T H.273 transfer characteristics value

Returns (GstVideo.VideoTransferFunction) –

the matched GstVideo.VideoTransferFunction

Since : 1.18

### GstVideo.video_transfer_function_from_iso

    def GstVideo.video_transfer_function_from_iso (value):
        #python wrapper for 'gst_video_transfer_function_from_iso'

Converts the value to the GstVideo.VideoTransferFunction The transfer characteristics (TransferCharacteristics) value is defined by "ISO/IEC 23001-8 Section 7.2 Table 3" and "ITU-T H.273 Table 3". "H.264 Table E-4" and "H.265 Table E.4" share the identical values.

Parameters:

`value` (int) –

a ITU-T H.273 transfer characteristics value

Returns (GstVideo.VideoTransferFunction) –

the matched GstVideo.VideoTransferFunction

Since : 1.18

### gst_video_transfer_function_is_equivalent

    gboolean
    gst_video_transfer_function_is_equivalent (GstVideoTransferFunction from_func,
                                               guint from_bpp,
                                               GstVideoTransferFunction to_func,
                                               guint to_bpp)

Returns whether from_func and to_func are equivalent. There are cases (e.g. BT601, BT709, and BT2020_10) where several functions are functionally identical. In these cases, when doing conversion, we should consider them as equivalent. Also, BT2020_12 is the same as the aforementioned three for less than 12 bits per pixel.

Parameters:

`from_func` –

GstVideoTransferFunction to convert from

`from_bpp` –

bits per pixel to convert from

`to_func` –

GstVideoTransferFunction to convert into

`to_bpp` –

bits per pixel to convert into

Returns –

TRUE if from_func and to_func can be considered equivalent.

Since : 1.18

### GstVideo.prototype.video_transfer_function_is_equivalent

    function GstVideo.prototype.video_transfer_function_is_equivalent(from_func: GstVideo.VideoTransferFunction, from_bpp: Number, to_func: GstVideo.VideoTransferFunction, to_bpp: Number): {
        // javascript wrapper for 'gst_video_transfer_function_is_equivalent'
    }

Returns whether from_func and to_func are equivalent. There are cases (e.g. BT601, BT709, and BT2020_10) where several functions are functionally identical. In these cases, when doing conversion, we should consider them as equivalent. Also, BT2020_12 is the same as the aforementioned three for less than 12 bits per pixel.

Parameters:

`from_func` (GstVideo.VideoTransferFunction) –

GstVideo.VideoTransferFunction to convert from

`from_bpp` (Number) –

bits per pixel to convert from

`to_func` (GstVideo.VideoTransferFunction) –

GstVideo.VideoTransferFunction to convert into

`to_bpp` (Number) –

bits per pixel to convert into

Returns (Number) –

TRUE if from_func and to_func can be considered equivalent.

Since : 1.18

### GstVideo.video_transfer_function_is_equivalent

    def GstVideo.video_transfer_function_is_equivalent (from_func, from_bpp, to_func, to_bpp):
        #python wrapper for 'gst_video_transfer_function_is_equivalent'

Returns whether from_func and to_func are equivalent. There are cases (e.g. BT601, BT709, and BT2020_10) where several functions are functionally identical. In these cases, when doing conversion, we should consider them as equivalent. Also, BT2020_12 is the same as the aforementioned three for less than 12 bits per pixel.

Parameters:

`from_func` (GstVideo.VideoTransferFunction) –

GstVideo.VideoTransferFunction to convert from

`from_bpp` (int) –

bits per pixel to convert from

`to_func` (GstVideo.VideoTransferFunction) –

GstVideo.VideoTransferFunction to convert into

`to_bpp` (int) –

bits per pixel to convert into

Returns (bool) –

TRUE if from_func and to_func can be considered equivalent.

Since : 1.18

### gst_video_transfer_function_to_iso

    guint
    gst_video_transfer_function_to_iso (GstVideoTransferFunction func)

Converts GstVideoTransferFunction to the "transfer characteristics" (TransferCharacteristics) value defined by "ISO/IEC 23001-8 Section 7.2 Table 3" and "ITU-T H.273 Table 3". "H.264 Table E-4" and "H.265 Table E.4" share the identical values.

Parameters:

`func` –

a GstVideoTransferFunction

Returns –

The value of ISO/IEC 23001-8 transfer characteristics.

Since : 1.18

### GstVideo.prototype.video_transfer_function_to_iso

    function GstVideo.prototype.video_transfer_function_to_iso(func: GstVideo.VideoTransferFunction): {
        // javascript wrapper for 'gst_video_transfer_function_to_iso'
    }

Converts GstVideo.VideoTransferFunction to the "transfer characteristics" (TransferCharacteristics) value defined by "ISO/IEC 23001-8 Section 7.2 Table 3" and "ITU-T H.273 Table 3". "H.264 Table E-4" and "H.265 Table E.4" share the identical values.

Parameters:

`func` (GstVideo.VideoTransferFunction) –

a GstVideo.VideoTransferFunction

Returns (Number) –

The value of ISO/IEC 23001-8 transfer characteristics.

Since : 1.18

### GstVideo.video_transfer_function_to_iso

    def GstVideo.video_transfer_function_to_iso (func):
        #python wrapper for 'gst_video_transfer_function_to_iso'

Converts GstVideo.VideoTransferFunction to the "transfer characteristics" (TransferCharacteristics) value defined by "ISO/IEC 23001-8 Section 7.2 Table 3" and "ITU-T H.273 Table 3". "H.264 Table E-4" and "H.265 Table E.4" share the identical values.

Parameters:

`func` (GstVideo.VideoTransferFunction) –

a GstVideo.VideoTransferFunction

Returns (int) –

The value of ISO/IEC 23001-8 transfer characteristics.

Since : 1.18

## Enumerations

### GstVideoColorMatrix

The color matrix is used to convert between Y'PbPr and non-linear RGB (R'G'B')

##### Members

`GST_VIDEO_COLOR_MATRIX_UNKNOWN` (0) –

unknown matrix

`GST_VIDEO_COLOR_MATRIX_RGB` (1) –

identity matrix. Order of coefficients is actually GBR, also IEC 61966-2-1 (sRGB)

`GST_VIDEO_COLOR_MATRIX_FCC` (2) –

FCC Title 47 Code of Federal Regulations 73.682 (a)(20)

`GST_VIDEO_COLOR_MATRIX_BT709` (3) –

ITU-R BT.709 color matrix, also ITU-R BT1361 / IEC 61966-2-4 xvYCC709 / SMPTE RP177 Annex B

`GST_VIDEO_COLOR_MATRIX_BT601` (4) –

ITU-R BT.601 color matrix, also SMPTE170M / ITU-R BT1358 525 / ITU-R BT1700 NTSC

`GST_VIDEO_COLOR_MATRIX_SMPTE240M` (5) –

SMPTE 240M color matrix

`GST_VIDEO_COLOR_MATRIX_BT2020` (6) –

ITU-R BT.2020 color matrix. Since: 1.6

### GstVideo.VideoColorMatrix

The color matrix is used to convert between Y'PbPr and non-linear RGB (R'G'B')

##### Members

`GstVideo.VideoColorMatrix.UNKNOWN` (0) –

unknown matrix

`GstVideo.VideoColorMatrix.RGB` (1) –

identity matrix. Order of coefficients is actually GBR, also IEC 61966-2-1 (sRGB)

`GstVideo.VideoColorMatrix.FCC` (2) –

FCC Title 47 Code of Federal Regulations 73.682 (a)(20)

`GstVideo.VideoColorMatrix.BT709` (3) –

ITU-R BT.709 color matrix, also ITU-R BT1361 / IEC 61966-2-4 xvYCC709 / SMPTE RP177 Annex B

`GstVideo.VideoColorMatrix.BT601` (4) –

ITU-R BT.601 color matrix, also SMPTE170M / ITU-R BT1358 525 / ITU-R BT1700 NTSC

`GstVideo.VideoColorMatrix.SMPTE240M` (5) –

SMPTE 240M color matrix

`GstVideo.VideoColorMatrix.BT2020` (6) –

ITU-R BT.2020 color matrix. Since: 1.6

### GstVideo.VideoColorMatrix

The color matrix is used to convert between Y'PbPr and non-linear RGB (R'G'B')

##### Members

`GstVideo.VideoColorMatrix.UNKNOWN` (0) –

unknown matrix

`GstVideo.VideoColorMatrix.RGB` (1) –

identity matrix. Order of coefficients is actually GBR, also IEC 61966-2-1 (sRGB)

`GstVideo.VideoColorMatrix.FCC` (2) –

FCC Title 47 Code of Federal Regulations 73.682 (a)(20)

`GstVideo.VideoColorMatrix.BT709` (3) –

ITU-R BT.709 color matrix, also ITU-R BT1361 / IEC 61966-2-4 xvYCC709 / SMPTE RP177 Annex B

`GstVideo.VideoColorMatrix.BT601` (4) –

ITU-R BT.601 color matrix, also SMPTE170M / ITU-R BT1358 525 / ITU-R BT1700 NTSC

`GstVideo.VideoColorMatrix.SMPTE240M` (5) –

SMPTE 240M color matrix

`GstVideo.VideoColorMatrix.BT2020` (6) –

ITU-R BT.2020 color matrix. Since: 1.6

### GstVideoColorPrimaries

The color primaries define the how to transform linear RGB values to and from the CIE XYZ colorspace.

##### Members

`GST_VIDEO_COLOR_PRIMARIES_UNKNOWN` (0) –

unknown color primaries

`GST_VIDEO_COLOR_PRIMARIES_BT709` (1) –

BT709 primaries, also ITU-R BT1361 / IEC 61966-2-4 / SMPTE RP177 Annex B

`GST_VIDEO_COLOR_PRIMARIES_BT470M` (2) –

BT470M primaries, also FCC Title 47 Code of Federal Regulations 73.682 (a)(20)

`GST_VIDEO_COLOR_PRIMARIES_BT470BG` (3) –

BT470BG primaries, also ITU-R BT601-6 625 / ITU-R BT1358 625 / ITU-R BT1700 625 PAL & SECAM

`GST_VIDEO_COLOR_PRIMARIES_SMPTE170M` (4) –

SMPTE170M primaries, also ITU-R BT601-6 525 / ITU-R BT1358 525 / ITU-R BT1700 NTSC

`GST_VIDEO_COLOR_PRIMARIES_SMPTE240M` (5) –

SMPTE240M primaries

`GST_VIDEO_COLOR_PRIMARIES_FILM` (6) –

Generic film (colour filters using Illuminant C)

`GST_VIDEO_COLOR_PRIMARIES_BT2020` (7) –

ITU-R BT2020 primaries. Since: 1.6

`GST_VIDEO_COLOR_PRIMARIES_ADOBERGB` (8) –

Adobe RGB primaries. Since: 1.8

`GST_VIDEO_COLOR_PRIMARIES_SMPTEST428` (9) –

SMPTE ST 428 primaries (CIE 1931 XYZ). Since: 1.16

`GST_VIDEO_COLOR_PRIMARIES_SMPTERP431` (10) –

SMPTE RP 431 primaries (ST 431-2 (2011) / DCI P3). Since: 1.16

`GST_VIDEO_COLOR_PRIMARIES_SMPTEEG432` (11) –

SMPTE EG 432 primaries (ST 432-1 (2010) / P3 D65). Since: 1.16

`GST_VIDEO_COLOR_PRIMARIES_EBU3213` (12) –

EBU 3213 primaries (JEDEC P22 phosphors). Since: 1.16

### GstVideo.VideoColorPrimaries

The color primaries define the how to transform linear RGB values to and from the CIE XYZ colorspace.

##### Members

`GstVideo.VideoColorPrimaries.UNKNOWN` (0) –

unknown color primaries

`GstVideo.VideoColorPrimaries.BT709` (1) –

BT709 primaries, also ITU-R BT1361 / IEC 61966-2-4 / SMPTE RP177 Annex B

`GstVideo.VideoColorPrimaries.BT470M` (2) –

BT470M primaries, also FCC Title 47 Code of Federal Regulations 73.682 (a)(20)

`GstVideo.VideoColorPrimaries.BT470BG` (3) –

BT470BG primaries, also ITU-R BT601-6 625 / ITU-R BT1358 625 / ITU-R BT1700 625 PAL & SECAM

`GstVideo.VideoColorPrimaries.SMPTE170M` (4) –

SMPTE170M primaries, also ITU-R BT601-6 525 / ITU-R BT1358 525 / ITU-R BT1700 NTSC

`GstVideo.VideoColorPrimaries.SMPTE240M` (5) –

SMPTE240M primaries

`GstVideo.VideoColorPrimaries.FILM` (6) –

Generic film (colour filters using Illuminant C)

`GstVideo.VideoColorPrimaries.BT2020` (7) –

ITU-R BT2020 primaries. Since: 1.6

`GstVideo.VideoColorPrimaries.ADOBERGB` (8) –

Adobe RGB primaries. Since: 1.8

`GstVideo.VideoColorPrimaries.SMPTEST428` (9) –

SMPTE ST 428 primaries (CIE 1931 XYZ). Since: 1.16

`GstVideo.VideoColorPrimaries.SMPTERP431` (10) –

SMPTE RP 431 primaries (ST 431-2 (2011) / DCI P3). Since: 1.16

`GstVideo.VideoColorPrimaries.SMPTEEG432` (11) –

SMPTE EG 432 primaries (ST 432-1 (2010) / P3 D65). Since: 1.16

`GstVideo.VideoColorPrimaries.EBU3213` (12) –

EBU 3213 primaries (JEDEC P22 phosphors). Since: 1.16

### GstVideo.VideoColorPrimaries

The color primaries define the how to transform linear RGB values to and from the CIE XYZ colorspace.

##### Members

`GstVideo.VideoColorPrimaries.UNKNOWN` (0) –

unknown color primaries

`GstVideo.VideoColorPrimaries.BT709` (1) –

BT709 primaries, also ITU-R BT1361 / IEC 61966-2-4 / SMPTE RP177 Annex B

`GstVideo.VideoColorPrimaries.BT470M` (2) –

BT470M primaries, also FCC Title 47 Code of Federal Regulations 73.682 (a)(20)

`GstVideo.VideoColorPrimaries.BT470BG` (3) –

BT470BG primaries, also ITU-R BT601-6 625 / ITU-R BT1358 625 / ITU-R BT1700 625 PAL & SECAM

`GstVideo.VideoColorPrimaries.SMPTE170M` (4) –

SMPTE170M primaries, also ITU-R BT601-6 525 / ITU-R BT1358 525 / ITU-R BT1700 NTSC

`GstVideo.VideoColorPrimaries.SMPTE240M` (5) –

SMPTE240M primaries

`GstVideo.VideoColorPrimaries.FILM` (6) –

Generic film (colour filters using Illuminant C)

`GstVideo.VideoColorPrimaries.BT2020` (7) –

ITU-R BT2020 primaries. Since: 1.6

`GstVideo.VideoColorPrimaries.ADOBERGB` (8) –

Adobe RGB primaries. Since: 1.8

`GstVideo.VideoColorPrimaries.SMPTEST428` (9) –

SMPTE ST 428 primaries (CIE 1931 XYZ). Since: 1.16

`GstVideo.VideoColorPrimaries.SMPTERP431` (10) –

SMPTE RP 431 primaries (ST 431-2 (2011) / DCI P3). Since: 1.16

`GstVideo.VideoColorPrimaries.SMPTEEG432` (11) –

SMPTE EG 432 primaries (ST 432-1 (2010) / P3 D65). Since: 1.16

`GstVideo.VideoColorPrimaries.EBU3213` (12) –

EBU 3213 primaries (JEDEC P22 phosphors). Since: 1.16

### GstVideoColorRange

Possible color range values. These constants are defined for 8 bit color values and can be scaled for other bit depths.

##### Members

`GST_VIDEO_COLOR_RANGE_UNKNOWN` (0) –

unknown range

`GST_VIDEO_COLOR_RANGE_0_255` (1) –

[0..255] for 8 bit components

`GST_VIDEO_COLOR_RANGE_16_235` (2) –

[16..235] for 8 bit components. Chroma has [16..240] range.

### GstVideo.VideoColorRange

Possible color range values. These constants are defined for 8 bit color values and can be scaled for other bit depths.

##### Members

`GstVideo.VideoColorRange.UNKNOWN` (0) –

unknown range

`GstVideo.VideoColorRange.0_255` (1) –

[0..255] for 8 bit components

`GstVideo.VideoColorRange.16_235` (2) –

[16..235] for 8 bit components. Chroma has [16..240] range.

### GstVideo.VideoColorRange

Possible color range values. These constants are defined for 8 bit color values and can be scaled for other bit depths.

##### Members

`GstVideo.VideoColorRange.UNKNOWN` (0) –

unknown range

`GstVideo.VideoColorRange.0_255` (1) –

[0..255] for 8 bit components

`GstVideo.VideoColorRange.16_235` (2) –

[16..235] for 8 bit components. Chroma has [16..240] range.

### GstVideoTransferFunction

The video transfer function defines the formula for converting between non-linear RGB (R'G'B') and linear RGB

##### Members

`GST_VIDEO_TRANSFER_UNKNOWN` (0) –

unknown transfer function

`GST_VIDEO_TRANSFER_GAMMA10` (1) –

linear RGB, gamma 1.0 curve

`GST_VIDEO_TRANSFER_GAMMA18` (2) –

Gamma 1.8 curve

`GST_VIDEO_TRANSFER_GAMMA20` (3) –

Gamma 2.0 curve

`GST_VIDEO_TRANSFER_GAMMA22` (4) –

Gamma 2.2 curve

`GST_VIDEO_TRANSFER_BT709` (5) –

Gamma 2.2 curve with a linear segment in the lower range, also ITU-R BT470M / ITU-R BT1700 625 PAL & SECAM / ITU-R BT1361

`GST_VIDEO_TRANSFER_SMPTE240M` (6) –

Gamma 2.2 curve with a linear segment in the lower range

`GST_VIDEO_TRANSFER_SRGB` (7) –

Gamma 2.4 curve with a linear segment in the lower range. IEC 61966-2-1 (sRGB or sYCC)

`GST_VIDEO_TRANSFER_GAMMA28` (8) –

Gamma 2.8 curve, also ITU-R BT470BG

`GST_VIDEO_TRANSFER_LOG100` (9) –

Logarithmic transfer characteristic 100:1 range

`GST_VIDEO_TRANSFER_LOG316` (10) –

Logarithmic transfer characteristic 316.22777:1 range (100 * sqrt(10) : 1)

`GST_VIDEO_TRANSFER_BT2020_12` (11) –

Gamma 2.2 curve with a linear segment in the lower range. Used for BT.2020 with 12 bits per component. Since: 1.6

`GST_VIDEO_TRANSFER_ADOBERGB` (12) –

Gamma 2.19921875. Since: 1.8

`GST_VIDEO_TRANSFER_BT2020_10` (13) –

Rec. ITU-R BT.2020-2 with 10 bits per component. (functionally the same as the values GST_VIDEO_TRANSFER_BT709 and GST_VIDEO_TRANSFER_BT601). Since: 1.18

`GST_VIDEO_TRANSFER_SMPTE2084` (14) –

SMPTE ST 2084 for 10, 12, 14, and 16-bit systems. Known as perceptual quantization (PQ) Since: 1.18

`GST_VIDEO_TRANSFER_ARIB_STD_B67` (15) –

Association of Radio Industries and Businesses (ARIB) STD-B67 and Rec. ITU-R BT.2100-1 hybrid loggamma (HLG) system Since: 1.18

`GST_VIDEO_TRANSFER_BT601` (16) –

also known as SMPTE170M / ITU-R BT1358 525 or 625 / ITU-R BT1700 NTSC

(Since: 1.18)

### GstVideo.VideoTransferFunction

The video transfer function defines the formula for converting between non-linear RGB (R'G'B') and linear RGB

##### Members

`GstVideo.VideoTransferFunction.UNKNOWN` (0) –

unknown transfer function

`GstVideo.VideoTransferFunction.GAMMA10` (1) –

linear RGB, gamma 1.0 curve

`GstVideo.VideoTransferFunction.GAMMA18` (2) –

Gamma 1.8 curve

`GstVideo.VideoTransferFunction.GAMMA20` (3) –

Gamma 2.0 curve

`GstVideo.VideoTransferFunction.GAMMA22` (4) –

Gamma 2.2 curve

`GstVideo.VideoTransferFunction.BT709` (5) –

Gamma 2.2 curve with a linear segment in the lower range, also ITU-R BT470M / ITU-R BT1700 625 PAL & SECAM / ITU-R BT1361

`GstVideo.VideoTransferFunction.SMPTE240M` (6) –

Gamma 2.2 curve with a linear segment in the lower range

`GstVideo.VideoTransferFunction.SRGB` (7) –

Gamma 2.4 curve with a linear segment in the lower range. IEC 61966-2-1 (sRGB or sYCC)

`GstVideo.VideoTransferFunction.GAMMA28` (8) –

Gamma 2.8 curve, also ITU-R BT470BG

`GstVideo.VideoTransferFunction.LOG100` (9) –

Logarithmic transfer characteristic 100:1 range

`GstVideo.VideoTransferFunction.LOG316` (10) –

Logarithmic transfer characteristic 316.22777:1 range (100 * sqrt(10) : 1)

`GstVideo.VideoTransferFunction.BT2020_12` (11) –

Gamma 2.2 curve with a linear segment in the lower range. Used for BT.2020 with 12 bits per component. Since: 1.6

`GstVideo.VideoTransferFunction.ADOBERGB` (12) –

Gamma 2.19921875. Since: 1.8

`GstVideo.VideoTransferFunction.BT2020_10` (13) –

Rec. ITU-R BT.2020-2 with 10 bits per component. (functionally the same as the values GST_VIDEO_TRANSFER_BT709 and GST_VIDEO_TRANSFER_BT601). Since: 1.18

`GstVideo.VideoTransferFunction.SMPTE2084` (14) –

SMPTE ST 2084 for 10, 12, 14, and 16-bit systems. Known as perceptual quantization (PQ) Since: 1.18

`GstVideo.VideoTransferFunction.ARIB_STD_B67` (15) –

Association of Radio Industries and Businesses (ARIB) STD-B67 and Rec. ITU-R BT.2100-1 hybrid loggamma (HLG) system Since: 1.18

`GstVideo.VideoTransferFunction.BT601` (16) –

also known as SMPTE170M / ITU-R BT1358 525 or 625 / ITU-R BT1700 NTSC

(Since: 1.18)

### GstVideo.VideoTransferFunction

The video transfer function defines the formula for converting between non-linear RGB (R'G'B') and linear RGB

##### Members

`GstVideo.VideoTransferFunction.UNKNOWN` (0) –

unknown transfer function

`GstVideo.VideoTransferFunction.GAMMA10` (1) –

linear RGB, gamma 1.0 curve

`GstVideo.VideoTransferFunction.GAMMA18` (2) –

Gamma 1.8 curve

`GstVideo.VideoTransferFunction.GAMMA20` (3) –

Gamma 2.0 curve

`GstVideo.VideoTransferFunction.GAMMA22` (4) –

Gamma 2.2 curve

`GstVideo.VideoTransferFunction.BT709` (5) –

Gamma 2.2 curve with a linear segment in the lower range, also ITU-R BT470M / ITU-R BT1700 625 PAL & SECAM / ITU-R BT1361

`GstVideo.VideoTransferFunction.SMPTE240M` (6) –

Gamma 2.2 curve with a linear segment in the lower range

`GstVideo.VideoTransferFunction.SRGB` (7) –

Gamma 2.4 curve with a linear segment in the lower range. IEC 61966-2-1 (sRGB or sYCC)

`GstVideo.VideoTransferFunction.GAMMA28` (8) –

Gamma 2.8 curve, also ITU-R BT470BG

`GstVideo.VideoTransferFunction.LOG100` (9) –

Logarithmic transfer characteristic 100:1 range

`GstVideo.VideoTransferFunction.LOG316` (10) –

Logarithmic transfer characteristic 316.22777:1 range (100 * sqrt(10) : 1)

`GstVideo.VideoTransferFunction.BT2020_12` (11) –

Gamma 2.2 curve with a linear segment in the lower range. Used for BT.2020 with 12 bits per component. Since: 1.6

`GstVideo.VideoTransferFunction.ADOBERGB` (12) –

Gamma 2.19921875. Since: 1.8

`GstVideo.VideoTransferFunction.BT2020_10` (13) –

Rec. ITU-R BT.2020-2 with 10 bits per component. (functionally the same as the values GST_VIDEO_TRANSFER_BT709 and GST_VIDEO_TRANSFER_BT601). Since: 1.18

`GstVideo.VideoTransferFunction.SMPTE2084` (14) –

SMPTE ST 2084 for 10, 12, 14, and 16-bit systems. Known as perceptual quantization (PQ) Since: 1.18

`GstVideo.VideoTransferFunction.ARIB_STD_B67` (15) –

Association of Radio Industries and Businesses (ARIB) STD-B67 and Rec. ITU-R BT.2100-1 hybrid loggamma (HLG) system Since: 1.18

`GstVideo.VideoTransferFunction.BT601` (16) –

also known as SMPTE170M / ITU-R BT1358 525 or 625 / ITU-R BT1700 NTSC

(Since: 1.18)

## Constants

### GST_VIDEO_COLORIMETRY_BT2020

    #define GST_VIDEO_COLORIMETRY_BT2020      "bt2020"

### GstVideo.VIDEO_COLORIMETRY_BT2020

### GST_VIDEO_COLORIMETRY_BT2020_10

    #define GST_VIDEO_COLORIMETRY_BT2020_10   "bt2020-10"

### GstVideo.VIDEO_COLORIMETRY_BT2020_10

### GST_VIDEO_COLORIMETRY_BT2100_HLG

    #define GST_VIDEO_COLORIMETRY_BT2100_HLG  "bt2100-hlg"

### GstVideo.VIDEO_COLORIMETRY_BT2100_HLG

### GST_VIDEO_COLORIMETRY_BT2100_PQ

    #define GST_VIDEO_COLORIMETRY_BT2100_PQ   "bt2100-pq"

### GstVideo.VIDEO_COLORIMETRY_BT2100_PQ

### GST_VIDEO_COLORIMETRY_BT601

    #define GST_VIDEO_COLORIMETRY_BT601       "bt601"

### GstVideo.VIDEO_COLORIMETRY_BT601

### GST_VIDEO_COLORIMETRY_BT709

    #define GST_VIDEO_COLORIMETRY_BT709       "bt709"

### GstVideo.VIDEO_COLORIMETRY_BT709

### GST_VIDEO_COLORIMETRY_SMPTE240M

    #define GST_VIDEO_COLORIMETRY_SMPTE240M   "smpte240m"

### GstVideo.VIDEO_COLORIMETRY_SMPTE240M

### GST_VIDEO_COLORIMETRY_SRGB

    #define GST_VIDEO_COLORIMETRY_SRGB        "sRGB"

### GstVideo.VIDEO_COLORIMETRY_SRGB

The results of the search are